Subject: Re: password/group problem

From: [email-masked]
Date: Tue, 25 Jul 1995 08:27:52 +0200

rh> 
rh>  
rh> > Everything is OK, except that i didn't succeed in getting owner names rather 
rh> > than numbers.
rh> 
rh> using ls which comes with solaris 2.4, you will need these library to make
rh> it work properly:
rh> 
rh> 
rh> ---x--x---   1 bin      web        97804 Jul 16  1994 ld.so.1
rh> lrwxrwxrwx   1 root     root          11 Jul  7 18:32 libc.so -> ./libc.so.1
rh> -r--r-----   1 bin      web       621540 Mar  9 15:30 libc.so.1
rh> lrwxrwxrwx   1 root     root          10 Jul  7 18:32 libdl.so -> libdl.so.1
rh> -r--r-----   1 bin      web         3492 Jul 15  1994 libdl.so.1
rh> lrwxrwxrwx   1 root     root          12 Jul  7 18:32 libintl.so -> 
rh> libintl.so.1
rh> -r--r-----   1 bin      web        13516 Jul 15  1994 libintl.so.1
rh> -r--r-----   1 bin      web        88868 Jul 16  1994 libld.so.1
rh> lrwxrwxrwx   1 root     root           9 Jul  7 18:32 libw.so -> libw.so.1
rh> -r--r-----   1 bin      web        41704 Jul 15  1994 libw.so.1
rh> 
rh> If you want as well to see what's in etc/password and /etc/group instead
rh> od number, add
rh> 
rh> nss_files.so.1
rh> 

According to the Solaris 2.4 manuals you need much more, but nss_nis.so.1
and nss_nisplus.so.1 are probably not needed. And they may not all be
needed for ls.

-r-xr-xr-x   1 bin      bin        24576 Aug 19  1994 ld.so
-r-xr-xr-x   1 bin      bin        97804 May 29 11:16 ld.so.1
lrwxrwxrwx   1 root     other          9 May 12 13:52 libc.so -> libc.so.1
-r-xr-xr-x   1 bin      bin       621408 May 29 11:16 libc.so.1
lrwxrwxrwx   1 root     other         10 May 12 13:52 libdl.so -> libdl.so.1
-r-xr-xr-x   1 bin      bin         3492 May 29 11:16 libdl.so.1
lrwxrwxrwx   1 root     other         12 May 12 13:52 libintl.so -> libintl.so.1
-r-xr-xr-x   1 bin      bin        13516 May 29 11:16 libintl.so.1
lrwxrwxrwx   1 root     other         11 May 12 13:52 libnsl.so -> libnsl.so.1
-r-xr-xr-x   1 bin      bin       511508 May 29 11:16 libnsl.so.1
lrwxrwxrwx   1 root     other         14 May 12 13:52 libsocket.so -> libsocket.so.1
-r-xr-xr-x   1 bin      bin        73048 May 29 11:16 libsocket.so.1
lrwxrwxrwx   1 root     other          9 May 12 13:52 libw.so -> libw.so.1
-r-xr-xr-x   1 bin      bin        41704 May 29 11:16 libw.so.1
-r-xr-xr-x   1 bin      bin        10796 May 29 11:16 nss_dns.so.1
-r-xr-xr-x   1 bin      bin        18496 May 29 11:16 nss_files.so.1
-r-xr-xr-x   1 bin      bin        25840 May 29 11:16 nss_nis.so.1
-r-xr-xr-x   1 bin      bin        29376 May 29 11:16 nss_nisplus.so.1
lrwxrwxrwx   1 root     other         12 May 12 13:52 straddr.so -> straddr.so.2
-r-xr-xr-x   1 bin      bin         9436 May 29 11:16 straddr.so.2

Ronald.

__
// Ronald Hello  ([email-masked])
// University of Twente
// Department of Computer Science
// The Netherlands